###############################################################################
#  The MIT License (MIT)
#
#  Copyright (c) 2015 - 2019  Dr. Marc Mültin (V2G Clarity)
#
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
###############################################################################
# ===========================================================
# Configuration properties for a unique electric vehicle (EV)
# ===========================================================

# Network interface
#------------------
# 
# The network interface name like en3 or eth1 of the network interface on which to communicate with the SECC via a 
# link-local IPv6 address
network.interface = en0


# Security
#---------
#
# Possible values: 
# - true
# - false
# If this value is set to 'false', TCP will be used on transport layer
# If no correct value is provided here, 'false' will be chosen
tls = false


# Contract certificate update time span
#-------------------------------------
#
# Integer value defining the time span in days which precedes the expiration of a contract certificate 
# and during which an update of the contract certificate needs to be performed
contract.certificate.update.timespan = 14


# SessionID
#----------
#
# Hexadecimal string representing a byte array. If this value is unequal to "00", then it represents a  
# previously paused V2G communication session
session.id = 00


# Selected payment option
#------------------------
#
# This (single!) value needs to be provided from a previous charging session if charging has been paused.
# Possible values are:
# - Contract 
# - ExternalPayment
authentication.mode = 


# Requested energy transfer mode
#--------------------------------
#
# This (single!) value needs to be provided from a previous charging session if charging has been paused.
# Possible values are:
# - AC_single_phase_core
# - AC_three_phase_core
# - DC_core
# - DC_extended
# - DC_combo_core
# - DC_unique
energy.transfermode.requested = AC_three_phase_core

#
# Implementation classes
#---------------------------------------------
# If you want to replace the implementation then set the following value
# to the name of your class
# When omitted default dummy implementation will be used
implementation.evcc.controller = com.v2gclarity.risev2g.evcc.evController.DummyEVController

# XML representation of messages
#-------------------------------
#
# Possible values: 
# - true
# - false
# If this value is set to 'true', the EXICodec will print each message's XML representation (for debugging purposes) 
# If no correct value is provided here, 'false' will be chosen
exi.messages.showxml = true


# Hexadecimal and Base64 representation of messages
#--------------------------------------------------
#
# Possible values: 
# - true
# - false
# If this value is set to 'true', the EXICodec will print each message's hexadecimal and Base64 representation (for debugging purposes) 
# If no correct value is provided here, 'false' will be chosen
exi.messages.showhex = true


# Extended logging of signature verification
#-------------------------------------------
#
# Possible values: 
# - true
# - false
# If this value is set to 'true', extended logging will be printed upon verification of signatures (for debugging purposes) 
# If no correct value is provided here, 'false' will be chosen
signature.verification.showlog = true


# EXI codec
#--------------------------------
#
# This (single!) value tells the program which EXI codec to use to en-/decode EXI messages
# Possible values are:
# - exificient
# - open_exi
# If no correct value is provided here, 'exificient' will be used
exi.codec = exificient


# Voltage accuracy
#----------
#
# Used for the PreCharge target voltage. The present voltage indicated by the charging station in PreChargeRes can deviate from the present voltage 
# set in PreChargeReq by an EV-specific deviation factor. This value is given in percent.
# Example: voltage.accuracy = 10 means: present voltage may deviate from target voltage by 10 percent in order to successfully stop PreCharge
voltage.accuracy = 5